| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XSAttributeUse Class Reference

This class describes all properties of a Schema Attribute Use component. More...

Inheritance diagram for XSAttributeUse:

[legend]
List of all members.

## Public Member Functions

Constructors
| XSAttributeUse (XSAttributeDeclaration *const xsAttDecl, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSAttributeUse ()
XSAttributeUse methods
bool | getRequired () const
| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
XSAttributeDeclaration * | getAttrDeclaration () const
| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value Constraint: one of default, fixed.
const XMLCh * | getConstraintValue ()
| Value Constraint: The actual value.

## Protected Attributes

bool | fRequired
XSConstants::VALUE_CONSTRAINT | fConstraintType
const XMLCh * | fConstraintValue
XSAttributeDeclaration * | fXSAttributeDeclaration

## Friends

class | XSObjectFactory

## Detailed Description

This class describes all properties of a Schema Attribute Use component.

This is *always* owned by the validator /parser object from which it is obtained.

## Constructor & Destructor Documentation

XSAttributeUse::XSAttributeUse | ( | XSAttributeDeclaration *const | xsAttDecl,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |

The default constructor.

Parameters:

  | xsAttDecl |
  | xsModel |
  | manager | The configurable memory manager

XSAttributeUse::~XSAttributeUse | ( |  | ) |

## Member Function Documentation

XSAttributeDeclaration * XSAttributeUse::getAttrDeclaration | ( |  | ) | const

| [attribute declaration]: provides the attribute declaration itself, which will in turn determine the simple type definition used.

XSConstants::VALUE_CONSTRAINT XSAttributeUse::getConstraintType | ( |  | ) | const

| Value Constraint: one of default, fixed.

const XMLCh * XSAttributeUse::getConstraintValue | ( |  | ) |

| Value Constraint: The actual value.

bool XSAttributeUse::getRequired | ( |  | ) | const

| [required]: determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

## Friends And Related Function Documentation

friend class XSObjectFactory`[friend]`

## Member Data Documentation

XSConstants::VALUE_CONSTRAINT XSAttributeUse::fConstraintType`[protected]`

const XMLCh* XSAttributeUse::fConstraintValue`[protected]`

bool XSAttributeUse::fRequired`[protected]`

XSAttributeDeclaration* XSAttributeUse::fXSAttributeDeclaration`[protected]`

The documentation for this class was generated from the following file:

- XSAttributeUse.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.